GNU logs - #37087, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37087: indent-for-tab-command not ready for GNUmakefile mode
Resent-From: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?= Dan Jacobson <jidanni@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 19 Aug 2019 20:44:02 +0000
Resent-Message-ID: <handler.37087.B.15662474406618 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 37087
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 37087 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.15662474406618
          (code B ref -1); Mon, 19 Aug 2019 20:44:02 +0000
Received: (at submit) by debbugs.gnu.org; 19 Aug 2019 20:44:00 +0000
Received: from localhost ([127.0.0.1]:60544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hzoVU-0001if-0J
	for submit <at> debbugs.gnu.org; Mon, 19 Aug 2019 16:44:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:33119)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1hzoVS-0001iY-5D
 for submit <at> debbugs.gnu.org; Mon, 19 Aug 2019 16:43:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50051)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jidanni@HIDDEN>) id 1hzoVQ-0007Fd-25
 for bug-gnu-emacs@HIDDEN; Mon, 19 Aug 2019 16:43:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FROM_EXCESS_BASE64,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1hzoVO-0007Dv-8I
 for bug-gnu-emacs@HIDDEN; Mon, 19 Aug 2019 16:43:55 -0400
Received: from chocolate.birch.relay.mailchannels.net ([23.83.209.35]:46953)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1hzoVN-0007BV-Qg
 for bug-gnu-emacs@HIDDEN; Mon, 19 Aug 2019 16:43:54 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id F13105E276D
 for <bug-gnu-emacs@HIDDEN>; Mon, 19 Aug 2019 20:43:50 +0000 (UTC)
Received: from pdx1-sub0-mail-a50.g.dreamhost.com
 (100-96-89-43.trex.outbound.svc.cluster.local [100.96.89.43])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 8C5475E3498
 for <bug-gnu-emacs@HIDDEN>; Mon, 19 Aug 2019 20:43:50 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a50.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Mon, 19 Aug 2019 20:43:50 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Abiding-Illegal: 0d37e48f1b3c28c6_1566247430790_2198389815
X-MC-Loop-Signature: 1566247430790:3776947088
X-MC-Ingress-Time: 1566247430790
Received: from pdx1-sub0-mail-a50.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a50.g.dreamhost.com (Postfix) with ESMTP id AA17683720
 for <bug-gnu-emacs@HIDDEN>; Mon, 19 Aug 2019 13:43:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=myYa1Vr3gGYA6Qj37xIntukSs1A=; b=p4qmG2DPwg8Hg9bb
 Z5bKaunNlAdYPKwH3su9nMdTyxrq4vkdJuA7286i+xvCLDKgqZHgPPQ0PY5dz/+8
 QGsHmK8e0FiA7CrFkGJWG7ydIcurVGOy7Eau0i0ftTonx0QQUJQ//e9FV847/Vvu
 EHF0hTv8XNltUY8Pvx81n8hA4zw=
Received: from jidanni.org (114-26-46-230.dynamic-ip.hinet.net [114.26.46.230])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a50.g.dreamhost.com (Postfix) with ESMTPSA id 56AF183367
 for <bug-gnu-emacs@HIDDEN>; Mon, 19 Aug 2019 13:43:45 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a50
From: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?= Dan Jacobson <jidanni@HIDDEN>
Date: Tue, 20 Aug 2019 02:02:33 +0800
Message-ID: <874l2d6nk6.8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrudefledgudehfecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufffkfggtgesthdtredttddtjeenucfhrhhomhepnjjnnjcuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqnecukfhppeduudegrddviedrgeeirddvfedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehjihgurghnnhhirdhorhhgpdhinhgvthepuddugedrvdeirdegiedrvdeftddprhgvthhurhhnqdhprghthheppeeruhhtfhdqkeerueerheeimhfphefnihehhegsveekreepucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqedpmhgrihhlfhhrohhmpehjihgurghnnhhisehjihgurghnnhhirdhorhhgpdhnrhgtphhtthhopegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 23.83.209.35
X-Spam-Score: -1.4 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

TAB (translated from <tab>) runs the command indent-for-tab-command

However it ruins Makefiles.

C-x h TAB wipes out all indentation.

I don't know what it should do. All I know is it shouldn't wipe out all
indentation.

emacs-version "26.1"




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?= Dan Jacobson <jidanni@HIDDEN>
Subject: bug#37087: Acknowledgement (indent-for-tab-command not ready for
 GNUmakefile mode)
Message-ID: <handler.37087.B.15662474406618.ack <at> debbugs.gnu.org>
References: <874l2d6nk6.8.fsf@HIDDEN>
X-Gnu-PR-Message: ack 37087
X-Gnu-PR-Package: emacs
Reply-To: 37087 <at> debbugs.gnu.org
Date: Mon, 19 Aug 2019 20:44:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 37087 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
37087: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D37087
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37087: indent-for-tab-command not ready for GNUmakefile mode
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 30 Oct 2019 11:15:02 +0000
Resent-Message-ID: <handler.37087.B37087.157243406025832 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37087
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?= Dan Jacobson <jidanni@HIDDEN>
Cc: 37087 <at> debbugs.gnu.org
Received: via spool by 37087-submit <at> debbugs.gnu.org id=B37087.157243406025832
          (code B ref 37087); Wed, 30 Oct 2019 11:15:02 +0000
Received: (at 37087) by debbugs.gnu.org; 30 Oct 2019 11:14:20 +0000
Received: from localhost ([127.0.0.1]:49363 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iPlvf-0006ia-SD
	for submit <at> debbugs.gnu.org; Wed, 30 Oct 2019 07:14:20 -0400
Received: from quimby.gnus.org ([80.91.231.51]:54904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iPlvd-0006iO-Pf
 for 37087 <at> debbugs.gnu.org; Wed, 30 Oct 2019 07:14:18 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iPlva-0004hw-3W; Wed, 30 Oct 2019 12:14:16 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <874l2d6nk6.8.fsf@HIDDEN>
Date: Wed, 30 Oct 2019 12:14:13 +0100
In-Reply-To: <874l2d6nk6.8.fsf@HIDDEN> ("=?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?=
 Dan Jacobson"'s message of "Tue, 20 Aug 2019 02:02:33 +0800")
Message-ID: <87a79iwkmy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?= Dan Jacobson <jidanni@HIDDEN> writes: > TAB
    (translated from <tab>) runs the command indent-for-tab-command > > However
    it ruins Makefiles. > > C-x h TAB wipes out all indentation. > > I don't
   know what it should do. All I know is it shou [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> TAB (translated from <tab>) runs the command indent-for-tab-command
>
> However it ruins Makefiles.
>
> C-x h TAB wipes out all indentation.
>
> I don't know what it should do. All I know is it shouldn't wipe out all
> indentation.

If I try `C-x h TAB' in Emacs 27, it just inserts a TAB character.  Is
there something else needed to reproduce the bug?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37087: indent-for-tab-command not ready for GNUmakefile mode
In-Reply-To: <874l2d6nk6.8.fsf@HIDDEN>
Resent-From: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?= Dan Jacobson <jidanni@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 05 Nov 2019 23:33:02 +0000
Resent-Message-ID: <handler.37087.B37087.157299676623069 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37087
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 37087 <at> debbugs.gnu.org
Received: via spool by 37087-submit <at> debbugs.gnu.org id=B37087.157299676623069
          (code B ref 37087); Tue, 05 Nov 2019 23:33:02 +0000
Received: (at 37087) by debbugs.gnu.org; 5 Nov 2019 23:32:46 +0000
Received: from localhost ([127.0.0.1]:39219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iS8JZ-000601-Rt
	for submit <at> debbugs.gnu.org; Tue, 05 Nov 2019 18:32:46 -0500
Received: from camel.birch.relay.mailchannels.net ([23.83.209.29]:48626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1iS8JV-0005zi-Nc
 for 37087 <at> debbugs.gnu.org; Tue, 05 Nov 2019 18:32:43 -0500
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 76B498C1F0C;
 Tue,  5 Nov 2019 23:32:40 +0000 (UTC)
Received: from pdx1-sub0-mail-a89.g.dreamhost.com
 (100-96-8-64.trex.outbound.svc.cluster.local [100.96.8.64])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id E20AF8C1EEE;
 Tue,  5 Nov 2019 23:32:39 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a89.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Tue, 05 Nov 2019 23:32:40 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Broad-Trouble: 74e062b36ae22bb9_1572996760318_3968036296
X-MC-Loop-Signature: 1572996760318:2434542765
X-MC-Ingress-Time: 1572996760318
Received: from pdx1-sub0-mail-a89.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a89.g.dreamhost.com (Postfix) with ESMTP id CCBB37F589;
 Tue,  5 Nov 2019 15:32:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type
 :content-transfer-encoding; s=jidanni.org; bh=8LiW2fsO8RdVWNSetH
 5Xx246SP8=; b=hhMYrzZpr0iQjO5pZFbNyGXGlnOj9jBE4nd3ppTSP/sDbYGhyh
 4CM87W+8gJSl+tyWtojSpFTpDQK4AZVjEwnWJjLABYbieTRPEksLHU3gO/YtsX32
 FYEQyLo9KQ8olZdlJHa7UPD6WRwGaEFms9WbgxogJ0y2l9dIHCc8wohTI=
Received: from jidanni.org (220-140-13-33.dynamic-ip.hinet.net [220.140.13.33])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a89.g.dreamhost.com (Postfix) with ESMTPSA id E0F4F7F587;
 Tue,  5 Nov 2019 15:32:33 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a89
From: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?= Dan Jacobson <jidanni@HIDDEN>
References: <874l2d6nk6.8.fsf@HIDDEN> <87a79iwkmy.fsf@HIDDEN>
Date: Wed, 06 Nov 2019 07:27:24 +0800
Message-ID: <87pni5uco3.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> "LI" =3D=3D Lars Ingebrigtsen <larsi@HIDDEN> writes:
LI> =E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes=
:

>> TAB (translated from <tab>) runs the command indent-for-tab-command
>>=20
>> However it ruins Makefiles.
>>=20
>> C-x h TAB wipes out all indentation.
>>=20
>> I don't know what it should do. All I know is it shouldn't wipe out al=
l
>> indentation.

LI> If I try `C-x h TAB' in Emacs 27, it just inserts a TAB character.  I=
s
LI> there something else needed to reproduce the bug?

Yes.
Somebody else's makefile. The bigger the better.
Not an empty makefile.
You are testing on an empty makefile. Don't.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#37087: indent-for-tab-command not ready for GNUmakefile mode
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 06 Aug 2020 16:31:01 +0000
Resent-Message-ID: <handler.37087.B37087.159673143620557 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 37087
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?= Dan Jacobson <jidanni@HIDDEN>
Cc: 37087 <at> debbugs.gnu.org
Received: via spool by 37087-submit <at> debbugs.gnu.org id=B37087.159673143620557
          (code B ref 37087); Thu, 06 Aug 2020 16:31:01 +0000
Received: (at 37087) by debbugs.gnu.org; 6 Aug 2020 16:30:36 +0000
Received: from localhost ([127.0.0.1]:54815 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3imq-0005LV-96
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 12:30:36 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3imn-0005LD-Nv
 for 37087 <at> debbugs.gnu.org; Thu, 06 Aug 2020 12:30:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=NdZStEaWhAOTsTsGrbS3iM7DM9rwZxjiw4Bm18EcE3Q=; b=QS7kpE8OhaY7Ym3oI51VdrGth5
 ZX59/OuH6Il9g4oOr5BS6ti2GTQ89zY0medbIKJ8cvF28F9Ug5MEG7z43vtHmxDrN5H4ws4/PYh2E
 PcUo1sHonGIeWrlwRBd7lrOsfLRkKPRhmvrvngAuWsFt94+QGpURKtA8ztGybvFN1Kuo=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3ima-0003RH-7P; Thu, 06 Aug 2020 18:30:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <874l2d6nk6.8.fsf@HIDDEN> <87a79iwkmy.fsf@HIDDEN>
 <87pni5uco3.5.fsf@HIDDEN>
Date: Thu, 06 Aug 2020 18:30:18 +0200
In-Reply-To: <87pni5uco3.5.fsf@HIDDEN> ("=?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?=
 Dan Jacobson"'s message of "Wed, 06 Nov 2019 07:27:24 +0800")
Message-ID: <87y2mrag9x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  =?UTF-8?Q?=E7=A9=8D=E4=B8=B9=E5=B0=BC?= Dan Jacobson <jidanni@HIDDEN> writes: > LI>
    If I try `C-x h TAB' in Emacs 27, it just inserts a TAB character. Is > LI>
    there something else needed to reproduce the bug? > > Yes. > Somebody else's
    makefile. The bigger the better. > Not an [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> LI> If I try `C-x h TAB' in Emacs 27, it just inserts a TAB character.  Is
> LI> there something else needed to reproduce the bug?
>
> Yes.
> Somebody else's makefile. The bigger the better.
> Not an empty makefile.
> You are testing on an empty makefile. Don't.

No, I was testing without transient mark mode -- it has to be on to
reproduce the bug.

So the bug is (with transient-mark-mode): Mark a region (that contains
tabs), and then hit TAB.  It'll remove all the (leading) tabs in the
region, oddly enough.

The bug is still present in Emacs 28.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 6 Aug 2020 16:30:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 12:30:40 2020
Received: from localhost ([127.0.0.1]:54818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3imt-0005Lm-Pq
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 12:30:39 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3ims-0005LL-JW
 for control <at> debbugs.gnu.org; Thu, 06 Aug 2020 12:30:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2+yerA1I3DR/QvPb+OrVRutny36/PSLjMP8g6LTz5+E=; b=py0g3WMXIKhJgEN8Luk3SlbUgK
 MVshjqvmtnsZZ59ZjfOYx6kwbNiBmC0lPPYdovaG2XBtitnvv0RaIOZp3E8wrX2YlTDXkCYMphSur
 a9jfbRPliQkgQaXTqZEnveKWxQIbdhFJ0Eyv4BTQoYGw+GKEG9qdm6cGI5B0S3ONL6v0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1k3imk-0003RO-IS
 for control <at> debbugs.gnu.org; Thu, 06 Aug 2020 18:30:32 +0200
Date: Thu, 06 Aug 2020 18:30:29 +0200
Message-Id: <87wo2bag9m.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #37087
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 37087 + confirmed quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 37087 + confirmed
quit






Last modified: Thu, 6 Aug 2020 16:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.